import { SpaStorageKeyEnum } from './spa-storage-key.enum';
export declare class SpaStorage {
    private static get channelId();
    static clearSetting<KeyEnum>(key: KeyEnum | SpaStorageKeyEnum): void;
    static getSetting<KeyEnum>(key: KeyEnum | SpaStorageKeyEnum): string | null;
    static setSetting<KeyEnum>(key: KeyEnum | SpaStorageKeyEnum, settingValue: string): void;
    static getChannelSetting<KeyEnum>(key: KeyEnum | SpaStorageKeyEnum): string | undefined;
    static setChannelSetting<KeyEnum>(key: KeyEnum | SpaStorageKeyEnum, settingValue: any): void;
}
